# Cross Platform Integrations

### phoneGap , cordova&#x20;

For cross platform tools like phoneGap , cordova , IONIC , etc…

You need to be more careful while adding our sdk.

Because these tools do changes in files like Android Manifest at compile time.

So Be sure that your final AndroidManifest.xml includes basic elements of our sdk.

#### **Service and Activities:**

If not included these below lines then add it manually on your AndroidManifest.xml.

#### **1. Service:**

```javascript
<service
		android:name="com.acquireio.socket.SocketBackgroundService"
		android:exported="true" />
```

&#x20;**2. Activities:**

```javascript
<activity   android:name="com.acquireio.sdk.activities.AQR_ChatListActivity"
		android:launchMode="singleInstance"
		android:screenOrientation="portrait" />
	<activity  android:name="com.acquireio.sdk.activities.AQR_ChatActivity"
		android:launchMode="singleInstance"
		android:screenOrientation="portrait" />
```

Further if you are facing any difficulty then please contact us.

### React Native

For React-Native also you can use our native android sdk.

You can also check our [demo app](https://github.com/acquireio/acquireReactProject) built upon react-native platform to get an idea how to configure our android native sdk on to your react native project.

{% hint style="info" %}
&#x20;**Note:** Our provided all android APIs will work from native android only.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/master/android/cross-platform-integrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
